---
layout: docs
page_title: policies read - Command
description: >-
  The "policies read" command retrieves the details of an existing policy resource.
---

⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️
> [!IMPORTANT]  
> **Documentation Update:** Product documentation previously located in `/website` has moved to the [`hashicorp/web-unified-docs`](https://github.com/hashicorp/web-unified-docs) repository, where all product documentation is now centralized. Please make contributions directly to `web-unified-docs`, since changes to `/website` in this repository will not appear on developer.hashicorp.com.
⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️

# policies read

<EnterpriseAlert product="boundary">This feature requires <a href="https://www.hashicorp.com/products/boundary">HCP Boundary or Boundary Enterprise</a></EnterpriseAlert>

Command: `boundary policies read`

The `boundary policies read` command lets you read information about Boundary policies.

## Example

This example reads the details of a policy with the ID `p_1234567890`:

```shell-session
$ boundary policies read -id p_1234567890
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary policies read [options] [args]
```

</CodeBlockConfig>

### Command options

- `-id=<string>` - The ID of the policy you want to read.

@include 'cmd-option-note.mdx'